# Get row

Gets the row specified in the URL.

Endpoint: GET /sheets/{sheetId}/rows/{rowId}
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

  - `rowId` (number, required)
    ID of the sheet row being accessed.

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Query parameters:

  - `accessApiLevel` (number)
    Allows COMMENTER access for inputs and return values. For backwards-compatibility, VIEWER is the default. For example, to see whether a user has COMMENTER access for a sheet, use accessApiLevel=1.

  - `include` (string)
    A comma-separated list of elements to include in the response.

See Row Include Flags.

Also supports the columns include flag, which adds a columns array that specifies all of the columns for the sheet. This enables you to have the full context of the cells in the row.

The filters include flag returns a filteredOut attribute indicating if the row should be displayed or hidden according to the sheet's filters.
    Enum: "columns", "filters"

  - `exclude` (string)
    A comma-separated list of element types to exclude from the response:
  * filteredOutRows - excludes filtered-out rows from response payload if a sheet filter is applied; includes total number of filtered rows
  * linkInFromCellDetails - excludes the following attributes from the cell.linkInFromCell object: columnId, rowId, status
  * linksOutToCellsDetails - excludes the following attributes from the cell.linksOutToCells array elements: columnId, rowId, status
  * nonexistentCells - excludes empty cells
    Enum: "filteredOutRows", "linkInFromCellDetails", "linksOutToCellsDetails", "nonexistentCells"

  - `level` (integer)
    Specifies whether object data types, such as multi-contact data are returned in a backwards-compatible, text format in text/number columns.  - Set level=0 (default) to use text/number columns for multi-contact data and multi-picklist data.  - Set level=1 to use multiple-entry contact list columns for multi-contact data; multi-picklist data is returned in text/number columns.  - Set level=2 to use multiple-entry contact list columns for multi-contact data and use multiple-entry picklist columns for multi-picklist data.

## Response 200 fields (application/json):

  - `id` (number)
    Row ID.

  - `sheetId` (number)
    Parent sheet ID.

  - `rowNumber` (number)
    Row number within the sheet.

  - `expanded` (boolean)
    Indicates whether the row is expanded or collapsed.

  - `cells` (array)
    Cells objects.

  - `cells.columnId` (number)
    The ID of the column that the cell is located in.

  - `cells.columnType` (string)
    Only returned if the include query string parameter contains columnType.

  - `cells.value` (any)
    A string, number, or a Boolean value -- depending on the cell type and the data in the cell. Cell values larger than 4000 characters are silently truncated. An empty cell returns no value.

  - `cells.displayValue` (string)
    Visual representation of cell contents, as presented to the user in the UI.

  - `createdAt` (any)

  - `modifiedAt` (any)


